/home/travis/build/boostorg/boost/boost/geometry/algorithms/detail/sections/sectionalize.hpp File Reference

## Classes

struct | boost::geometry::section< Box, DimensionCount >
| Structure containing section information. More...
struct | boost::geometry::sections< Box, DimensionCount >
| Structure containing a collection of sections. More...

## Namespaces

namespace | boost
namespace | boost::geometry

## Functions

template<bool Reverse, typename DimensionVector , typename Geometry , typename Sections , typename RobustPolicy >
void | boost::geometry::sectionalize (Geometry const &geometry, RobustPolicy const &robust_policy, Sections &sections, int source_index=0, std::size_t max_count=10)
| Split a geometry into monotonic sections.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK